avrdude needs yacc? Not Byacc?

Go To Last Post
8 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Just tried to install avrdude 6.1 but make barfs on "../ylwrap: line 176: yacc: command not found". I was able to find a "Berkeley Yacc", installed it but no joy. My Opensuse 13.1 Yast doesn't know what yacc is, either, so I don't feel so bad. Any suggestions? thanks, paul

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Install bison. It is a GNU implementation of yacc and it will provide yacc command.

NOTE: I no longer actively read this forum. Please ask your question on www.eevblog.com/forum if you want my answer.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Ahhh thanks Alexru - but now I get some BS about lexer.c:

    paul@linux-dvlb:~/Projects/avrdude-6.1/obj-avr> sudo make /bin/sh ../ylwrap ../lexer.l .c lexer.c -- :
    make all-recursive
    make[1]: Entering directory `/home/paul/Projects/avrdude-6.1/obj-avr'
    Making all in .
    make[2]: Entering directory `/home/paul/Projects/avrdude-6.1/obj-avr'
    /bin/sh ../ylwrap ../lexer.l .c lexer.c -- :
    gcc -DHAVE_CONFIG_H -I. -I.. -DCONFIG_DIR="/etc" -Wall -Wno-pointer-sign -g -O2 -MT libavrdude_a-lexer.o -MD -MP -MF .deps/libavrdude_a-lexer.Tpo -c -o libavrdude_a-lexer.o `test -f 'lexer.c' || echo '../'`lexer.c
    gcc: error: ../lexer.c: No such file or directory
    gcc: fatal error: no input files
    compilation terminated.
    make[2]: *** [libavrdude_a-lexer.o] Error 1
    make[2]: Leaving directory `/home/paul/Projects/avrdude-6.1/obj-avr'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/paul/Projects/avrdude-6.1/obj-avr'
    make: *** [all] Error 2
Seems very difficult to get this to work, maybe I'll try Windows...

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

It looks like this "/bin/sh ../ylwrap ../lexer.l .c lexer.c -- :" was supposed to create "../lexer.c", but did not.

Why not just install avrdude from the repo?

NOTE: I no longer actively read this forum. Please ask your question on www.eevblog.com/forum if you want my answer.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I've just tried on Mint and simple

./configure
make

worked without any problems.

Try without sudo.

NOTE: I no longer actively read this forum. Please ask your question on www.eevblog.com/forum if you want my answer.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I think this have happened to me too. I had to de-install both byacc and bison and install only bison after that IIRC.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

thanks, guys, I'll try that tonight - paul

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

If you never figured this out, the solution is to install `flex`. The configure script builds an invalid Makefile if flex isn't installed, but yacc/byacc is, instead of throwing an error. 

 

Truth takes time.